Bug 238262 - Ignores ~/.mailcap file
Ignores ~/.mailcap file
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-28 10:05 EDT by Enrico Scholz
Modified: 2008-01-15 09:39 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-15 09:39:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2007-04-28 10:05:29 EDT
Description of problem:

Thunderbird (and firefox) seem to ignore both /etc/mailcap and ~/.mailcap files,
and there does not seem to exist a way to configure the associated applications
in another way.

helpers.private_mailcap_file and helpers.global_mailcap_file are configured
correctly.


Version-Release number of selected component (if applicable):

thunderbird-1.5.0.10-1.fc6
firefox-1.5.0.10-5.fc6


How reproducible:

100%


Steps to Reproduce:
1. create ~/.mailcap with 
   | application/pdf; kpdf %s
2. click on a pdf file within firefox/thunderbird

  
Actual results:

Dialog box pops up which suggests to open file with "Dokumentenbetrachter" which
 seems to be always 'evince'.


Expected results:

Value from ~/.mailcap (kpdf) should be suggested
Comment 1 Christopher Aillon 2007-04-28 11:01:29 EDT
Correct.  It uses the freedesktop mime standard.  See e.g. shared-mime-info and
friends.
Comment 2 Enrico Scholz 2007-04-28 12:00:28 EDT
I do not see, how the *shared* mime-info stuff can help here, because the
preferred viewer can not be shared but is an individual setting.

Process in this field seems to be stalled; firefox/thunderbird should use a
working (mailcap) method instead of.
Comment 3 Christopher Aillon 2007-04-28 13:51:49 EDT
the mime info stuff uses $XDG_DATA_DIRS first, so you can use ~/.local/share
Comment 4 Enrico Scholz 2007-04-28 14:57:57 EDT
ok; can you give an example how I can set 'kpdf' as PDF viewer there? share-mime
specification says explicitly

| The system does not provide a mechanism for storing user preferences

Work on the referred MIME action stuff (which is given as a way to define these
preferences) seems to be stalled resp. I could not find a documentation how I
can define my preferences.

~/.mailcap is a well defined standard which is working for years.
Comment 5 Matthias Clasen 2007-04-28 17:53:07 EDT
The work on the mime action stuff was derailed by people insisting on using
mailcap for this purpose. Go figure...
Comment 6 Enrico Scholz 2007-04-29 05:04:16 EDT
But these people seem to have lost interest in this stuff; the related
specifications are from 2003/2004 and there seems to have nothing done since then.


Therefore, please switch back to the *working* method (mailcap) instead of using
some experimental and non-working nice-to-have-but-we-not-have-it feature.
Comment 7 Matěj Cepl 2007-12-10 04:24:05 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 8 Matěj Cepl 2008-01-15 09:39:08 EST
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

{This is mass-closing of all obsolete bugs; if this bug was in your opinion
closed by mistake, please, reopen it with additional information; thanks a lot
and I am sorry for bothering you in such case.}

Note You need to log in before you can comment on or make changes to this bug.